import { StyleSheet } from "react-native";
import {
  appColors,
  appFonts,
  fontSizes,
  windowHeight,
  windowWidth,
} from "@src/themes";
import { commonStyles } from "@src/styles/commonStyle";
import { external } from "@src/styles/externalStyle";

const styles = StyleSheet.create({
  container: {
    width: "100%",
    height: windowHeight(80),
    backgroundColor: appColors.lightGray,
    alignItems: "center",
    justifyContent: "space-between",
  },
  imgContainer: {
    width: windowWidth(80),
    height: windowHeight(45),
    resizeMode: "contain",
  },
  vehicleContainer: {
    height: windowHeight(60),
    width: windowHeight(60),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(4),
    marginTop: windowHeight(8),
  },
  vehicleContainer1: {
    backgroundColor: appColors.whiteColor,
    height: windowHeight(30),
    width: windowHeight(60),
    alignItems: "center",
    justifyContent: "center",
    borderRadius: windowHeight(15),
  },

  imgContainer1: {
    width: windowWidth(80),
    height: windowHeight(50),
    resizeMode: "contain",
    borderRadius: windowHeight(4),
  },
  platNumberView: {
    justifyContent: "flex-start",
    alignItems: "center",
    paddingTop: windowHeight(2),
  },

  rating: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    marginStart: windowWidth(2),
  },
  vehicleText: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT21,
    flex: 1,
  },
  vehicle_info: {
    marginLeft: windowHeight(5),
    fontFamily: appFonts.medium,
  },
  vehicleView: {
    justifyContent: "flex-end",
    alignItems: "flex-end",
  },
  iconTitle: {
    color: appColors.regularText,
    marginLeft: windowWidth(9),
    fontFamily: appFonts.regular,
  },
  tagContainer: {
    flexWrap: "wrap",
    marginVertical: windowHeight(10),
    marginHorizontal: windowHeight(8),
  },
  billSummary: {
    ...commonStyles.extraBold,
    color: appColors.primaryText,
    marginTop: windowHeight(4.5),
    marginHorizontal: windowWidth(18),
  },
  title: {
    color: appColors.primaryText,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT22,
  },
  descContainer: {
    justifyContent: "space-between",
    marginHorizontal: windowWidth(15),
  },
  engineInfo: {
    color: appColors.regularText,
    fontFamily: appFonts.regular,
    width: windowWidth(330),
  },
  rentPrice: {
    color: appColors.price,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT22,
    right: windowWidth(5),
  },
  perDay: {
    color: appColors.regularText,
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT16,
  },
  titleContainer: {
    justifyContent: "space-between",
    padding: windowWidth(4),
    marginVertical: windowHeight(5),
  },
  carBrand: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT22,
  },
  direction: {
    alignItems: "center",
    width: "90%",
  },
  starIcon: {
    marginHorizontal: windowWidth(5),
  },
  iconView: {
    padding: windowWidth(10),
    borderRadius: windowWidth(7),
    alignItems: "center",
    marginBottom: windowHeight(8.5),
    marginHorizontal: windowWidth(7),
  },
  tripImage: {
    width: windowWidth(50),
    height: windowHeight(25),
    resizeMode: "contain",
  },
  tripTextContainer: {
    ...external.ph_13,
    alignItems: "center",
    width: "80%",
  },
  tripIDText: {
    ...commonStyles.mediumTextBlack12,
    fontSize: fontSizes.FONT15,
  },
  tripCostText: {
    ...commonStyles.mediumTextBlack12,
    color: appColors.price,
    marginVertical: windowHeight(2.9),
    fontSize: fontSizes.FONT21,
    fontFamily: appFonts.semiBold,
    marginHorizontal: windowWidth(-15),
    flexWrap: "wrap",
    width: "20%",
  },
  tripDateText: {
    ...commonStyles.regularText,
    paddingLeft: windowWidth(6),
  },
  iconContainer: {
    ...external.fd_row,
    ...external.js_space,
    ...external.mh_20,
  },
  serviceMainView: { justifyContent: "space-between" },
  serviceView: { marginTop: windowHeight(12) },
  service_name: {
    color: appColors.online,
    fontFamily: appFonts.regular,
  },
  service_name_view: {
    backgroundColor: appColors.lightButton,
    paddingHorizontal: windowHeight(10),
    borderRadius: windowHeight(35),
    height: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
    marginHorizontal: windowWidth(10),
  },
  service_category: {
    color: appColors.darkPurpal,
    fontFamily: appFonts.regular,
  },
  service_category_view: {
    backgroundColor: appColors.lightPurpal,
    paddingHorizontal: windowWidth(18),
    marginHorizontal: windowHeight(10),
    borderRadius: windowHeight(10),
    height: windowHeight(18),
    alignItems: "center",
    justifyContent: "center",
  },
  MessageMainView: {
    width: windowWidth(100),
    justifyContent: "space-between",
  },
  MessageView: {
    alignItems: "center",
    justifyContent: "center",
    height: windowHeight(30),
    width: windowHeight(30),
    borderRadius: windowHeight(20),
    borderWidth: windowHeight(1),
  },
  safetyCallView: {
    alignItems: "center",
    justifyContent: "center",
    height: windowHeight(30),
    width: windowHeight(30),
    borderRadius: windowHeight(20),
    borderWidth: windowHeight(1),
  },
  starContainer: {
    alignItems: "flex-end",
    justifyContent: "center",
    alignSelf: "center",
    bottom: windowHeight(11),
  },
  iconMainView: {
    alignItems: "flex-end",
    height: windowHeight(32),
    justifyContent: "space-between",
  },
  bgmodal: {
    flex: 1,
    justifyContent: "center",
    alignItems: "center",
  },
  background: {
    paddingVertical: windowHeight(17),
    paddingHorizontal: windowWidth(10),
    borderRadius: windowHeight(10),
  },
  userAlign: {
    alignItems: "center",
    marginTop: windowHeight(18),
  },
  modalImage: {
    height: windowHeight(52),
    width: windowHeight(52),
    resizeMode: "cover",
    borderRadius: windowHeight(20),
  },
  modalName: {
    fontFamily: appFonts.medium,
    fontSize: fontSizes.FONT19,
    top: windowHeight(6),
  },
  modalMail: {
    fontSize: fontSizes.FONT15,
    marginTop: windowHeight(5),
  },
  lineImage: {
    height: windowHeight(4.8),
    width: windowHeight(270),
    marginVertical: windowHeight(8),
    resizeMode: "stretch",
    alignSelf: "center",
  },
  rate: {
    fontFamily: appFonts.medium,
    marginHorizontal: windowWidth(8),
  },
  tips: {
    marginTop: windowHeight(18),
    fontFamily: appFonts.medium,
  },
  border2: {
    borderBottomWidth: windowHeight(0.1),
    marginVertical: windowHeight(18),
    borderBottomColor: appColors.primaryGray,
  },
  comment: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(12),
    marginHorizontal: windowWidth(8),
    top: windowHeight(4.5),
  },
  textinput: {
    height: windowHeight(85),
    borderWidth: windowHeight(1),
    borderColor: appColors.primaryGray,
    borderRadius: windowHeight(5),
    paddingHorizontal: windowWidth(15),
  },
  payment: {
    fontFamily: appFonts.medium,
    marginVertical: windowHeight(8),
  },
  modalPaymentView: {
    borderWidth: windowHeight(1),
    paddingVertical: windowHeight(8),
    marginBottom: windowHeight(16),
    borderRadius: windowHeight(5),
    borderColor: appColors.primaryGray,
    justifyContent: "space-between",
    paddingHorizontal: windowWidth(10),
  },
  paymentView: {
    marginHorizontal: windowWidth(12),
    marginVertical: windowHeight(6),
  },
  mailInfo: {
    marginHorizontal: windowWidth(6),
    justifyContent: "center",
  },
  mail: {
    fontFamily: appFonts.regular,
  },
  payBtn: {
    backgroundColor: appColors.primary,
    alignItems: "center",
    justifyContent: "center",
    width: windowWidth(95),
    borderRadius: windowHeight(7.9),
    marginHorizontal: windowWidth(6),
    height: windowHeight(35),
  },
  containerReview: {
    height: windowHeight(44),
    borderWidth: windowHeight(1),
    borderColor: appColors.primaryGray,
    borderRadius: windowHeight(5),
    marginTop: windowHeight(8),
    justifyContent: "space-between",
    width: "92%",
    alignSelf: "center",
  },
  ratingView: {
    alignItems: "center",
    marginHorizontal: windowWidth(18),
    justifyContent: "center",
  },
  image: {
    width: windowWidth(80),
    height: windowHeight(44),
    borderRadius: windowHeight(10),
    alignItems: "center",
    justifyContent: "center",
  },
  round: {
    height: windowHeight(19),
    paddingHorizontal: windowWidth(16),
    borderRadius: windowHeight(25),
    alignItems: "center",
    justifyContent: "center",
  },
});
export { styles };
